---
title: Exports a manifest containing definitions from the application.
slug: cms-12/api/Cnsi-exports-a-manifest-containing-definitions-from-the-application
docTags: 
createdAt: 2026-08-28T13:16:06.833Z
---

{
  "id": "0uohavSmNHlMDaX9sif2E",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "/api/episerver/v3.0/contentmanifest",
    "servers": [],
    "name": "Exports a manifest containing definitions from the application.",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/problem+json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "includeSystemTypes",
          "type": "boolean",
          "description": "Defines whether system types should be included."
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Defines a manifest containing sections with definitions.",
            "customType": "manifest",
            "schema": [
              {
                "name": "contentTypes",
                "kind": "optional",
                "type": "array",
                "description": "Defines content types to be imported.",
                "modelRef": "#/components/schemas/contentType",
                "customType": "contentType[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "string<uuid>",
                    "description": "The unique identifier of the content type.",
                    "format": "uuid"
                  },
                  {
                    "name": "name",
                    "kind": "required",
                    "type": "string",
                    "description": "The name of the content type.",
                    "maxLength": 50,
                    "pattern": "[a-zA-Z][\\w]*"
                  },
                  {
                    "name": "baseType",
                    "kind": "required",
                    "type": "string",
                    "description": "The base type for this content type."
                  },
                  {
                    "name": "version",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": "The version of the content type.",
                    "example": "2.1.0"
                  },
                  {
                    "name": "editSettings",
                    "kind": "optional",
                    "type": "object",
                    "description": "Defines settings for content type that affects how it is displayed when edited.",
                    "modelRef": "#/components/schemas/contentTypeEditSettings",
                    "customType": "contentTypeEditSettings",
                    "schema": [
                      {
                        "name": "displayName",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": "The name that should be used when editing the content type.",
                        "maxLength": 50
                      },
                      {
                        "name": "description",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": "The description that should be used when editing the content type.",
                        "maxLength": 255
                      },
                      {
                        "name": "available",
                        "kind": "optional",
                        "type": "boolean",
                        "description": "Determines if the content type is available when editing."
                      },
                      {
                        "name": "sortOrder",
                        "kind": "optional",
                        "type": "integer<int32>",
                        "description": "The field order used for ordering the content types when editing.",
                        "format": "int32",
                        "minimum": 0,
                        "maximum": 2147483647
                      }
                    ]
                  },
                  {
                    "name": "properties",
                    "kind": "optional",
                    "type": "array",
                    "readOnly": true,
                    "nullable": true,
                    "description": "A list with the properties of this content type.",
                    "modelRef": "#/components/schemas/contentTypeProperty",
                    "customType": "contentTypeProperty[]",
                    "schema": [
                      {
                        "name": "name",
                        "kind": "required",
                        "type": "string",
                        "description": "The name of the property.",
                        "maxLength": 100,
                        "pattern": "[a-zA-Z][\\w]*"
                      },
                      {
                        "name": "dataType",
                        "kind": "required",
                        "type": "string",
                        "description": "The main data type name.",
                        "maxLength": 255,
                        "pattern": "[a-zA-Z][(\\w\\s*\\w?),\\.]*"
                      },
                      {
                        "name": "branchSpecific",
                        "kind": "optional",
                        "type": "boolean",
                        "description": "Indicates if the property has specific values for each content branch or if values are shared between all branches."
                      },
                      {
                        "name": "editSettings",
                        "kind": "optional",
                        "type": "object",
                        "description": "Defines settings for content type properties that affects how the property is displayed when edited.",
                        "modelRef": "#/components/schemas/propertyEditSettings",
                        "customType": "propertyEditSettings",
                        "schema": [
                          {
                            "name": "visibility",
                            "kind": "optional",
                            "type": "string",
                            "description": "Specifies the visibility status of a property in edit view.",
                            "modelRef": "#/components/schemas/visibilityStatus",
                            "customType": "visibilityStatus",
                            "schema": []
                          },
                          {
                            "name": "displayName",
                            "kind": "optional",
                            "type": "string",
                            "nullable": true,
                            "description": "The name that should be used when editing the property.",
                            "maxLength": 255
                          },
                          {
                            "name": "groupName",
                            "kind": "optional",
                            "type": "string",
                            "nullable": true,
                            "description": "Name of the property group that this property should be displayed in.",
                            "maxLength": 100,
                            "pattern": "[a-zA-Z][\\w]*"
                          },
                          {
                            "name": "sortOrder",
                            "kind": "optional",
                            "type": "integer<int32>",
                            "description": "The field order used for ordering the properties when editing.",
                            "format": "int32",
                            "minimum": 0,
                            "maximum": 2147483647
                          },
                          {
                            "name": "helpText",
                            "kind": "optional",
                            "type": "string",
                            "nullable": true,
                            "description": "The text that should be used as help when editing the property.",
                            "maxLength": 2000
                          },
                          {
                            "name": "hint",
                            "kind": "optional",
                            "type": "string",
                            "nullable": true,
                            "description": "A hint that will be used when resolving which editor that should be used when editing this property.",
                            "maxLength": 255
                          }
                        ]
                      },
                      {
                        "name": "validation",
                        "kind": "optional",
                        "type": "array",
                        "readOnly": true,
                        "nullable": true,
                        "description": "The validation settings of the property.",
                        "modelRef": "#/components/schemas/propertyValidationSettings",
                        "customType": "propertyValidationSettings[]",
                        "schema": [
                          {
                            "name": "name",
                            "kind": "required",
                            "type": "string",
                            "description": "The name of the validation type that should be performed."
                          },
                          {
                            "name": "severity",
                            "kind": "optional",
                            "type": "string",
                            "description": "",
                            "modelRef": "#/components/schemas/validationErrorSeverity",
                            "customType": "validationErrorSeverity",
                            "schema": []
                          },
                          {
                            "name": "errorMessage",
                            "kind": "optional",
                            "type": "string",
                            "nullable": true,
                            "description": "The error message to use for any validation error."
                          }
                        ]
                      },
                      {
                        "name": "itemType",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": "The item type for cases when the 'dataType' is 'PropertyBlock'.",
                        "maxLength": 255,
                        "pattern": "[a-zA-Z][(\\w\\s*\\w?),\\.]*"
                      }
                    ]
                  }
                ]
              },
              {
                "name": "propertyGroups",
                "kind": "optional",
                "type": "array",
                "description": "Defines property groups to be imported.",
                "modelRef": "#/components/schemas/propertyGroup",
                "customType": "propertyGroup[]",
                "schema": [
                  {
                    "name": "name",
                    "kind": "required",
                    "type": "string",
                    "description": "The name of the group.",
                    "maxLength": 100,
                    "pattern": "[a-zA-Z0-9][\\w]*"
                  },
                  {
                    "name": "displayName",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": "The display name of the group.",
                    "maxLength": 100
                  },
                  {
                    "name": "sortOrder",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "description": "The sort order.",
                    "format": "int32",
                    "minimum": 0,
                    "maximum": 10000
                  },
                  {
                    "name": "systemGroup",
                    "kind": "optional",
                    "type": "boolean",
                    "readOnly": true,
                    "nullable": true,
                    "description": "Indicates if the group is managed by the system or not."
                  }
                ]
              },
              {
                "name": "editorDefinitions",
                "kind": "optional",
                "type": "array",
                "description": "Defines editor definitions to be imported.",
                "modelRef": "#/components/schemas/editorDefinition",
                "customType": "editorDefinition[]",
                "schema": [
                  {
                    "name": "dataType",
                    "kind": "required",
                    "type": "string",
                    "description": "The type for the editor definition"
                  },
                  {
                    "name": "uiHint",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": "The UIHint for the editor definition"
                  },
                  {
                    "name": "editor",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": "The editor for the editor definition"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/manifest",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad Request",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "-Kko-Efdfxtno6EVbeIpC",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url /api/episerver/v3.0/contentmanifest \\\n     --header 'accept: application/json'"
        },
        {
          "id": "4EQUQoukaBQAHRl9Aao8Z",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"/api/episerver/v3.0/contentmanifest\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "C-9nZk66W5nQ__n0hFCiE",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"/api/episerver/v3.0/contentmanifest\")\n\nhttp = Net::HTTP.new(url.host, url.port);\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = http.request(request)\nputs response.read_body\n"
        },
        {
          "id": "EBef4M5fjNVjGQAcTAaXK",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"/api/episerver/v3.0/contentmanifest\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "-Kko-Efdfxtno6EVbeIpC"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n{\n  \"contentTypes\": [\n    {\n      \"id\": \"\",\n      \"name\": \"\",\n      \"baseType\": \"\",\n      \"version\": \"2.1.0\",\n      \"editSettings\": {\n        \"displayName\": \"\",\n        \"description\": \"\",\n        \"available\": false,\n        \"sortOrder\": \"\"\n      },\n      \"properties\": [\n        {\n          \"name\": \"\",\n          \"dataType\": \"\",\n          \"branchSpecific\": false,\n          \"editSettings\": {\n            \"visibility\": \"\",\n            \"displayName\": \"\",\n            \"groupName\": \"\",\n            \"sortOrder\": \"\",\n            \"helpText\": \"\",\n            \"hint\": \"\"\n          },\n          \"validation\": [\n            {\n              \"name\": \"\",\n              \"severity\": \"\",\n              \"errorMessage\": \"\"\n            }\n          ],\n          \"itemType\": \"\"\n        }\n      ]\n    }\n  ],\n  \"propertyGroups\": [\n    {\n      \"name\": \"\",\n      \"displayName\": \"\",\n      \"sortOrder\": \"\",\n      \"systemGroup\": false\n    }\n  ],\n  \"editorDefinitions\": [\n    {\n      \"dataType\": \"\",\n      \"uiHint\": \"\",\n      \"editor\": \"\"\n    }\n  ]\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Bad Request\n"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}